package jpa.test.annotation.discriminatorvalue.entity;

import javax.persistence.Column;
import javax.persistence.DiscriminatorColumn;
import javax.persistence.DiscriminatorType;
import javax.persistence.DiscriminatorValue;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

@Entity(name="SuperClass")
@Table(name="DisValTestTable_002_1")
@Inheritance(strategy=InheritanceType.JOINED)
@DiscriminatorColumn(name = "DATATYPE",discriminatorType = DiscriminatorType.STRING)
public class BaseEntityCalss
{
    @Id
    public String id;

    @Column(name="detail")
    public String superClassData;

    //@Column(name="DTYPE", updatable=false, insertable=false)
    @Column(name = "DATATYPE")
    public String dataType;
}
